#ifndef _WINO_STRUCT_H_
#define _WINO_STRUCT_H_
#include <ap_int.h>


typedef struct{
    ap_uint<16> inheight;
    ap_uint<16> inwidth;
    ap_uint<16> indepth;
    ap_uint<16> indepth_align8;
    ap_uint<16> outheight;
    ap_uint<16> outwidth;
    ap_uint<16> outdepth;
    ap_uint<16> kernal_size;

    ap_uint<16> weight_load_indepth_size;
    ap_uint<16> weight_load_outdepth_size;
    ap_uint<16> weight_load_total_size; // = weight_load_indepth_size * weight_load_outdepth_size


    ap_uint<16> weight_feed_indepth_size; // const = 8;
    ap_uint<16> weight_feed_outdepth_size;
} ConvDesc_t;








#endif
